Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.description
Class AxisServiceGroup

    java.lang.Object
      org.apache.axis2.description.AxisDescription
          org.apache.axis2.description.AxisServiceGroup

All Implemented Interfaces:
  DescriptionConstants, ParameterInclude

    public class AxisServiceGroup

extends AxisDescription

Field Summary

Fields inherited from class org.apache.axis2.description.AxisDescription
`engagedModules, parameterObservers, parent`

Fields inherited from interface org.apache.axis2.description.DescriptionConstants
`CLASSLOADER_KEY, CONTEXTPATH_KEY, EXECUTION_CHAIN_KEY, EXECUTION_FAULT_CHAIN_KEY, EXECUTION_OUT_CHAIN_KEY, IN_FAULTFLOW_KEY, INFLOW_KEY, MESSAGE_RECEIVER_KEY, MODULEREF_KEY, OPERATION_KEY, OUT_FAULTFLOW_KEY, OUTFLOW_KEY, PARAMETER_KEY, PHASES_KEY, SERVICE_CLASS_NAME, STYLE_KEY`

Constructor Summary
`AxisServiceGroup()`
`AxisServiceGroup(AxisConfiguration axisDescription)`

Method Summary
`void` | `addModuleConfig(ModuleConfiguration moduleConfiguration)` Adds module configuration, if there is moduleConfig tag in service.
`void` | `addModuleref(String moduleref)`
`void` | `addService(AxisService service)`
`void` | `addToGroup(AxisService service)` Deprecated. please use addService() instead
`Object` | `getKey()`
`ModuleConfiguration` | `getModuleConfig(String moduleName)`
`ArrayList<String>` | `getModuleRefs()`
`AxisService` | `getService(String name)`
`ClassLoader` | `getServiceGroupClassLoader()`
`String` | `getServiceGroupName()`
`Iterator<AxisService>` | `getServices()`
`boolean` | `isFoundWebResources()`
`void` | `onDisengage(AxisModule module)`
`protected void` | `onEngage(AxisModule module, AxisDescription engager)` When a module gets engaged on a ServiceGroup, we have to engage it for each Service.
`void` | `removeService(String name)`
`void` | `setAxisDescription(AxisConfiguration axisDescription)`
`void` | `setFoundWebResources(boolean foundWebResources)`
`void` | `setServiceGroupClassLoader(ClassLoader serviceGroupClassLoader)`
`void` | `setServiceGroupName(String serviceGroupName)`

Methods inherited from class org.apache.axis2.description.AxisDescription
`addChild, addChild, addParameter, addParameter, addParameterObserver, applyPolicy, applyPolicy, deserializeParameters, disengageModule, engageModule, engageModule, getAxisConfiguration, getChild, getChildren, getDocumentation, getDocumentationNode, getEngagedModules, getParameter, getParameters, getParameterValue, getParent, getPolicyInclude, getPolicySubject, isEngaged, isEngaged, isParameterLocked, isParameterTrue, removeChild, removeParameter, removeParameterObserver, setDocumentation, setDocumentation, setParent, setPolicyInclude`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AxisServiceGroup

    public AxisServiceGroup()

### AxisServiceGroup

    public AxisServiceGroup(AxisConfiguration axisDescription)

Method Detail

### addModuleConfig

    public void addModuleConfig(ModuleConfiguration moduleConfiguration)

  Adds module configuration, if there is moduleConfig tag in service.

  Parameters:
    `moduleConfiguration` - the ModuleConfiguration to add

### addModuleref

    public void addModuleref(String moduleref)

### addService

    public void addService(AxisService service)
                    throws AxisFault

  Throws:
    `AxisFault`

### addToGroup

    public void addToGroup(AxisService service)
                    throws Exception

  Deprecated. please use addService() instead

  Parameters:
    `service` -
  Throws:
    `Exception`

### onEngage

    protected void onEngage(AxisModule module,
                            AxisDescription engager)
                     throws AxisFault

  When a module gets engaged on a ServiceGroup, we have to engage it for each Service.

  Overrides:
    `onEngage` in class `AxisDescription`
  Parameters:
    `module` - the newly-engaged AxisModule
    `engager` -
  Throws:
    `AxisFault` - if there is a problem

### onDisengage

    public void onDisengage(AxisModule module)
                     throws AxisFault

  Overrides:
    `onDisengage` in class `AxisDescription`
  Throws:
    `AxisFault`

### removeService

    public void removeService(String name)
                       throws AxisFault

  Throws:
    `AxisFault`

### getModuleConfig

    public ModuleConfiguration getModuleConfig(String moduleName)

### getModuleRefs

    public ArrayList<String> getModuleRefs()

### getService

    public AxisService getService(String name)
                           throws AxisFault

  Throws:
    `AxisFault`

### getServiceGroupClassLoader

    public ClassLoader getServiceGroupClassLoader()

### getServiceGroupName

    public String getServiceGroupName()

### getServices

    public Iterator<AxisService> getServices()

### setAxisDescription

    public void setAxisDescription(AxisConfiguration axisDescription)

### setServiceGroupClassLoader

    public void setServiceGroupClassLoader(ClassLoader serviceGroupClassLoader)

### setServiceGroupName

    public void setServiceGroupName(String serviceGroupName)

### getKey

    public Object getKey()

  Specified by:
    `getKey` in class `AxisDescription`

### isFoundWebResources

    public boolean isFoundWebResources()

### setFoundWebResources

    public void setFoundWebResources(boolean foundWebResources)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.